How JustAnswer Works:
  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.
Ask Vinod Menon Your Own Question
Vinod Menon
Vinod Menon, Support Specialist
Category: Mac
Satisfied Customers: 2864
Experience:  worked as a Tech support Associate for Apple products
51110040
Type Your Mac Question Here...
Vinod Menon is online now
A new question is answered every 9 seconds

I recently updated to the new itunes 10._I didnt like it and

This answer was rated:

I recently updated to the new itunes 10._I didnt like it and went back to my old version._First i used app delete to get rid of 10 and reinstalled my old one._Problem is, now itunes does not recognize my iphone anymore. i have tried someonelses iphone on my computer and it also is not recognized. Ive also tried it on other computers and it is recognized. Ive also restored the phone. So i dont think it is the phone._Ever heard of this? Any ideas?_Thanks in advance,_George

Ipod Specialist :

Hi George

Customer:

Hello

Ipod Specialist :

I am Vinod.

Customer:

Hi

Ipod Specialist :

What I understand is that your iphone is now not recognized, correct?

Customer:

yes.

Customer:

i am trying something as we speak

Ipod Specialist :

May I know from which website did you download the older version of itunes?

Customer:

I forget. But iknow it is the same one as i had before because it was still in my downloads folder

Ipod Specialist :

If we update the itunes and then go back to an older version, then most of the devices such as ipod, phone etc, will not be recognized.

Customer:

I just tried restarting my phone in a safe mode by holding down the power and home buttons. Itunes recognized it but said i have to restore it first befor it will be able to use it. This might fix the problem after it is done.

Ipod Specialist :

The reason is that the computer will be updated for the newer version

Ipod Specialist :

It is good that your itunes has recognized it.

Ipod Specialist :

If it does not work, we have to completely uninstall itunes and then reinstall the older version

Customer:

the download will be done in about six mins

Customer:

That is where i am now

Ipod Specialist :

ok

Customer:

do you want me to chat back after i find out?

Ipod Specialist :

sure

Ipod Specialist :

How is it going?

Customer:

Sorry. I had to work today. It did not work. The computer does not recognize it at all.

Customer:

I have restored the iphone also.

Ipod Specialist :

Let's try it this way. To completely uninstall itunes, use this document http://support.apple.com/kb/ht1224

Ipod Specialist :

Then try to install the old version of itunes.

Customer:

NO GO.

Customer:

Same as before. I get a pop up that says, when i click itunes store that says the store is temporarily unavailable and it still wont read my phone.

Customer:

Do you have any other ideas?

Ipod Specialist :

Hi George

Customer:

Hi.

Customer:

Im at work so i can chat here and there about this.

Ipod Specialist :

No problem. I will sent you a step to download the previous version. You can download and install that. Before installing make sure that you have completely uninstalled itunes.

Ipod Specialist :

http://appletoolbox.com/2010/09/how-to-downgrade-itunes-10-to-itunes-9-2-1/

Ipod Specialist :

You can reply once you are not busy.

Customer:

I had itunes 8.2.1 on here. With safari 3.1.2 and everything was fine. I could acess the store and everything The problem is that if i upgrade to itunes 9 Then i need safari 4.0.5 to access the itunes store. My machine is OSX 10.5.4 Safari 4.0.5 system requirements are OSX 10.5.8 or greater.... It's a vicious circle and took a while to figure this out. What i need to know is can you put me back to itunes 8.2.1 and make it recognize my phone and access the itunes store.

Customer:

Any ideas? Heard of this before?

Ipod Specialist :

It is difficult for the old itunes to access the store. If we downgrade, there is no surety that the itunes will access the store.

Ipod Specialist :

If you were able to download itunes 10 in the same computer, you can download 9.2.1 as well

Ipod Specialist :

The requirements are OSX 10.5 and above, Safari 4.0.3 or later

Ipod Specialist :

So 9.2.1 can be installed on the computer.

Ipod Specialist :

I understand that you have restored your phone recently. Once we restore the phone, it will be updated with the latest software, most probably OS4. Such an ipod will not be recognized by any old itunes.

Ipod Specialist :

How is it going?

Customer:

Hey yeah my phone is being read by this itunes version. it requires safari 4.0.3 or greater to run the store. my system is 10.5.4 If safari can be installed on this system i will be happy as hell. Can you find me safari 4.0.3? Even if you cant i will just deal with not being able to access the itunes store from itunes. I will still pay the $38- either way.

Ipod Specialist :

Which version of safari do you have now?

Ipod Specialist :

I believe you told me your system has OSX 10.5.4 and Safari 4.0.5.

Ipod Specialist :

Just check your safari version. If it is below 4.0.3, you can download 4.0.5 from http://support.apple.com/kb/dl877

Customer:

the issue is Safari 4.0.5 requires my system to to be 10.5.8 or greater... I have 10.5.4.... Safari 4.0.3 or greater is required to run this itunes store.

Ipod Specialist :

That's strange, because the website http://support.apple.com/kb/dl877 tells that 4.0.5 can be installed in OSX10.4.11 as well

Ipod Specialist :

There are different links in the website, for different operating systems, leopard, tiger etc

Ipod Specialist :

I think tiger would be a good option

Ipod Specialist :

If that doesn't work, try updating (not upgrading) your computer, and then try to download safari for 10.5.8. If that too doesn't work, then we have to go for upgrading the computer to snow leopard.

Customer:

I will not be able to update this computer. So i am cool with not being able to access the store on here. Not sure what system requirements are for safai 4.0.3 but if you find a link for it or find out the requirements and send it to me i would be very appreciative. I am happy my phone is recognized and i dont keep getting a pop up window telling me to update to the latest safari every time i click something like in itunes 10. So thanks for the help. If you find safari 4.0.3 let me know ok.

Customer:

I am accepting your answer. Thanks for the help.

Ipod Specialist :

Thank you.

Ipod Specialist :

I will definitely sent you the link, if I find any

Ipod Specialist :

Thank you for your patience, George

Customer:

cool my email [email protected]

Customer:

thanks again

Vinod Menon and 2 other Mac Specialists are ready to help you